<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package aipower
 */
if(get_post_meta(get_the_ID(), 'aipower_page_meta', true)) {
	$footer_meta = get_post_meta(get_the_ID(), 'aipower_page_meta', true);
} else {
	$footer_meta = array();
}

if( array_key_exists( 'page_footer_disable', $footer_meta )) {
	$page_footer_disable = $footer_meta['page_footer_disable'];
} else {
	$page_footer_disable = false;
}
?>

</main><!-- #page -->
<?php if($page_footer_disable != true){aipower_Helper::aipower_footer_template();} ?>
<?php wp_footer(); ?>

</div><!-- #page -->

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
