<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package aipower
 */

get_header();
aipower_search_breadcrumb();
$aipowerPostClass = '';
if(is_active_sidebar('sidebar-1')){
	$aipowerPostClass = 'col-lg-8 col-md-12 col-sm-12';
}else{
	$aipowerPostClass = 'col-lg-10 offset-lg-1';
}
?>

<section id="ai-blog-list-feed" class="ai-blog-list-feed-section">
	<div class="container">
		<div class="ai-blog-list-feed-content">
			<div class="row">
			
				<!-- Content Side -->
				<div class="<?php echo esc_attr($aipowerPostClass);?>">
					<div class="ai-blog-list-feed-area">
						<?php aipower_search_loop();?>
					</div>
				</div>
				<!-- Sidebar Side -->
				<?php get_sidebar();?>

			</div>
		</div>
	</div>
</section>

<?php
get_footer();
