<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package aipower
 */

get_header();
aipower_blog_single_breadcrumb();
$aipowerPostClass = '';
if(is_active_sidebar('sidebar-1')){
	$aipowerPostClass = 'col-lg-8';
}else{
	$aipowerPostClass = 'col-lg-10 offset-lg-1';
}
?>

<section id="ai-blog-details" class="ai-blog-details-section">
	<div class="container">
		<div class="ai-blog-details-content">
			<div class="row">
				<div class="<?php echo esc_attr($aipowerPostClass);?>">
					<?php aipower_single_post_loop();?>
				</div>
				<?php get_sidebar();?>
			</div>
		</div>
	</div>
</section>

<?php
get_footer();
